Bug 61978 - [patch] sync setkey(8) token.l with KAME
Summary: [patch] sync setkey(8) token.l with KAME
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 5.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-27 05:50 UTC by Jason Li
Modified: 2017-12-31 22:36 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.94 KB, patch)
2004-01-27 05:50 UTC, Jason Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Li 2004-01-27 05:50:11 UTC
	Merge KAME's rev. 1.44-1.45 of setkey/token.l

Fix: Apply the attached patch. Please note that NetBSD-specific and *BSD cross compile support was removed from this merge to reduce the diff. twofish-cbc is not implemented in FreeBSD and was not included in this patch.
Comment 1 Volker 2008-02-11 12:38:54 UTC
file sbin/setkey/token.l has been slightly modified since this PR has
been filed.

NULL comparison / assignments have been modified, but the return
statements for S_AUTHALG and S_ENCALG haven't been touched.

Can you please check if your patch is still needed and either indicate
if this can get closed or commit needed changes?
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-02-12 09:28:49 UTC
State Changed
From-To: open->feedback

Note that submitter has been asked for feedback.
Comment 3 Volker Werth freebsd_committer 2008-05-10 18:03:15 UTC
State Changed
From-To: feedback->open


Submitter has commit access ;) 
a slightly modified patch is needed or PR might be closed 


Comment 4 Volker Werth freebsd_committer 2008-05-10 18:03:15 UTC
Responsible Changed
From-To: freebsd-bugs->delphij


Submitter has commit access ;) 
a slightly modified patch is needed or PR might be closed
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:56 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped